POST /v1/lab/agent/conversations/{id}/messages
Send the next message of one of the caller’s assistant conversations; answers 202 (status queued). Signed-in session only. 409 `lab_agent_working` while the conversation is answering; 403 `plan_required` (feature `agent`); 429 `lab_agent_budget` / `lab_agent_busy` as on POST /lab/agent/conversations. 404 `lab_agent_disabled` while LAB_AGENT_ENABLED is off.
Send the next message of one of the caller’s assistant conversations; answers 202 (status queued). Signed-in session only. 409 lab_agent_working while the conversation is answering; 403 plan_required (feature agent); 429 lab_agent_budget / lab_agent_busy as on POST /lab/agent/conversations. 404 lab_agent_disabled while LAB_AGENT_ENABLED is off.
API key: Authorization: Bearer pk_live_… (mint at polyrank.app/api-keys)
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/lab/agent/conversations/497f6eca-6276-4993-bfeb-53cbbbba6f08/messages" \ -H "Content-Type: application/json" \ -d '{ "message": "string" }'{ "id": "string", "title": "string", "status": "idle", "error": "string", "model": "string", "created_at": "string", "updated_at": "string"}{ "error": "string", "message": "string", "feature": "string", "field": "string", "plan": "string", "retry_after_sec": 0, "retry_after_seconds": 0, "reason": "string", "issues": [ null ], "trace_id": "string"}{ "error": "string", "message": "string", "feature": "string", "field": "string", "plan": "string", "retry_after_sec": 0, "retry_after_seconds": 0, "reason": "string", "issues": [ null ], "trace_id": "string"}{ "error": "string", "message": "string", "feature": "string", "field": "string", "plan": "string", "retry_after_sec": 0, "retry_after_seconds": 0, "reason": "string", "issues": [ null ], "trace_id": "string"}{ "error": "string", "message": "string", "feature": "string", "field": "string", "plan": "string", "retry_after_sec": 0, "retry_after_seconds": 0, "reason": "string", "issues": [ null ], "trace_id": "string"}{ "error": "string", "message": "string", "feature": "string", "field": "string", "plan": "string", "retry_after_sec": 0, "retry_after_seconds": 0, "reason": "string", "issues": [ null ], "trace_id": "string"}{ "error": "string", "message": "string", "feature": "string", "field": "string", "plan": "string", "retry_after_sec": 0, "retry_after_seconds": 0, "reason": "string", "issues": [ null ], "trace_id": "string"}{ "error": "string", "message": "string", "feature": "string", "field": "string", "plan": "string", "retry_after_sec": 0, "retry_after_seconds": 0, "reason": "string", "issues": [ null ], "trace_id": "string"}